Skip to content

Delete a notification rule

DELETE
/notifications/rules/{id}
curl --request DELETE \
--url https://sylve.lan:8181/api/notifications/rules/1 \
--header 'Authorization: <Authorization>'

Delete one notification rule; synchronization recreates missing rules for active auto-managed targets

id
required
integer
>= 1

Notification rule ID

Success

Media typeapplication/json
object
data
object
rules
Array<object>
object
active
boolean
config
string
discordEnabled
boolean
emailEnabled
boolean
id
integer
kind
string
ntfyEnabled
boolean
pushoverEnabled
boolean
targetKey
string
targetLabel
string
templateKey
string
templateLabel
string
uiEnabled
boolean
templates
Array<object>
object
defaultConfig
string
description
string
key
string
label
string
targetType
string
targets
Array<object>
object
key
string
label
string
error
string
message
string
status
string
Examplegenerated
{
"data": {
"rules": [
{
"active": true,
"config": "example",
"discordEnabled": true,
"emailEnabled": true,
"id": 1,
"kind": "example",
"ntfyEnabled": true,
"pushoverEnabled": true,
"targetKey": "example",
"targetLabel": "example",
"templateKey": "example",
"templateLabel": "example",
"uiEnabled": true
}
],
"templates": [
{
"defaultConfig": "example",
"description": "example",
"key": "example",
"label": "example",
"targetType": "example",
"targets": [
{
"key": "example",
"label": "example"
}
]
}
]
},
"error": "example",
"message": "example",
"status": "example"
}

Bad Request

Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{
"data": "example",
"error": "example",
"message": "example",
"status": "example"
}

Unauthorized

Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{
"data": "example",
"error": "example",
"message": "example",
"status": "example"
}

Forbidden

Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{
"data": "example",
"error": "example",
"message": "example",
"status": "example"
}

Not Found

Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{
"data": "example",
"error": "example",
"message": "example",
"status": "example"
}

Internal Server Error

Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{
"data": "example",
"error": "example",
"message": "example",
"status": "example"
}